Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.MatchFlag

    java.lang.Object
      java.lang.Enum<Qt.MatchFlag>
          com.trolltech.qt.core.Qt.MatchFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.MatchFlag>

Enclosing interface:
  Qt

    public static enum Qt.MatchFlag

extends java.lang.Enum<Qt.MatchFlag>
implements QtEnumerator

This enum describes the type of matches that can be used when searching for items in a model.

See Also:
  `QString::compare`, `QRegExp`

Enum Constant Summary
`MatchCaseSensitive` The search is case sensitive.
`MatchContains` The search term is contained in the item.
`MatchEndsWith` The search term matches the end of the item.
`MatchExactly` Performs `QVariant`-based matching.
`MatchFixedString` Performs string-based matching.
`MatchRecursive` Searches the entire hierarchy.
`MatchRegExp` Performs string-based matching using a regular expression as the search term.
`MatchStartsWith` The search term matches the start of the item.
`MatchWildcard` Performs string-based matching using a string with wildcards as the search term.
`MatchWrap` Perform a search that wraps around, so that when the search reaches the last item in the model, it begins again at the first item and continues until all items have been examined.

Method Summary
`static Qt.MatchFlags` | `createQFlags(Qt.MatchFlag... values)`
`static Qt.MatchFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.MatchFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.MatchFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MatchExactly

    public static final Qt.MatchFlag MatchExactly

  Performs `QVariant`-based matching.

### MatchContains

    public static final Qt.MatchFlag MatchContains

  The search term is contained in the item.

### MatchStartsWith

    public static final Qt.MatchFlag MatchStartsWith

  The search term matches the start of the item.

### MatchEndsWith

    public static final Qt.MatchFlag MatchEndsWith

  The search term matches the end of the item.

### MatchRegExp

    public static final Qt.MatchFlag MatchRegExp

  Performs string-based matching using a regular expression as the search term.

### MatchWildcard

    public static final Qt.MatchFlag MatchWildcard

  Performs string-based matching using a string with wildcards as the search term.

### MatchFixedString

    public static final Qt.MatchFlag MatchFixedString

  Performs string-based matching. String-based comparisons are case-insensitive unless the `MatchCaseSensitive` flag is also specified.

### MatchCaseSensitive

    public static final Qt.MatchFlag MatchCaseSensitive

  The search is case sensitive.

### MatchWrap

    public static final Qt.MatchFlag MatchWrap

  Perform a search that wraps around, so that when the search reaches the last item in the model, it begins again at the first item and continues until all items have been examined.

### MatchRecursive

    public static final Qt.MatchFlag MatchRecursive

  Searches the entire hierarchy.

Method Detail

### values

    public static final Qt.MatchFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.MatchFlag c : Qt.MatchFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.MatchFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.MatchFlags createQFlags(Qt.MatchFlag... values)

### resolve

    public static Qt.MatchFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD